package com.idiot.operationbackend.service.facade;

import com.baomidou.mybatisplus.extension.service.IService;
import com.idiot.operationbackend.entity.AccountTag;

import java.util.List;

/**
 * 用户标签
 * @author wangxiao
 */
public interface AccountTagService extends IService<AccountTag> {

    /**
     *  覆盖之前的标签
     * @author wangxiao
     * @date 10:06 2020/9/15
     * @param accountId
     * @param newTags
     * @return boolean
     */
    boolean overlayAccountTag(String accountId, List<AccountTag> newTags);


    /**
     *  查询标签
     * @author wangxiao
     * @date 10:10 2020/9/15
     * @param accountId
     * @return java.util.List<com.idiot.operationbackend.entity.AccountTag>
     */
    List<AccountTag> queryAccountTag(String accountId);


    /**
     *  新增
     * @author wangxiao
     * @date 10:29 2020/9/15
     * @param accountTags
     * @return boolean
     */
    boolean addAccountTag (List<AccountTag> accountTags);


    /**
     *  删除
     * @author wangxiao
     * @date 10:29 2020/9/15
     * @param accountTags
     * @return boolean
     */
    boolean delAccountTag (List<AccountTag> accountTags);
}
