package com.idiot.operationbackend.support;

import java.math.BigDecimal;
import java.net.URLDecoder;
import java.time.ZoneId;
import java.time.ZoneOffset;
import java.time.format.DateTimeFormatter;
import java.util.Locale;

/**
 * @author wang xiao
 * @date Created in 11:52 2020/9/11
 */
public class Constants {

    public static final String SUCCESS = "success";

    public static final Locale DEFAULT_LOCALE = Locale.CHINA;

    public static final ZoneOffset DEFAULT_ZONE= ZoneOffset.of("+8");

    public static final DateTimeFormatter DATE_TIME_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss",DEFAULT_LOCALE);

    public static final DateTimeFormatter DATE_FORMATTER = DateTimeFormatter.ofPattern("yyyy-MM-dd",DEFAULT_LOCALE);

    public static final String DEFAULT_HEAD_IMG = "http://pic.51yuansu.com/pic3/cover/01/69/80/595f67c2aff1e_610.jpg";

    /**
     * 第三方 ticket
     */
    public static final String COMPONENT_VERIFY_TICKET ="COMPONENT_VERIFY_TICKET_%s";
    /**
     * 第三方 ACCESS_TOKEN
     */
    public static final String COMPONENT_ACCESS_TOKEN = "COMPONENT_ACCESS_TOKEN_%s";
    /**
     * 授权方 ACCESS_TOKEN
     */
    public static final String AUTHORIZER_ACCESS_TOKEN = "AUTHORIZER_ACCESS_TOKEN_%s";

    /**
     * 同步用户锁
     */
    public static final String LOCK_SYNC_USER = "LOCK_SYNC_USER_%s";

    public static final String LOCK_SYNC_TAG = "LOCK_SYNC_TAG_%s";


    public static final BigDecimal ZERO_RATE = BigDecimal.valueOf(0.00);


    public static BigDecimal calcRate(int now, int before) {
        if (0 == before) {
            return BigDecimal.valueOf((now*100.0)/1.0);
        } else if (0 == now) {
            return Constants.ZERO_RATE;
        }else {
            return BigDecimal.valueOf(((now - before) * 100) / before).setScale(2);
        }
    }
}
